package com.wms.constants.enums;

/**
 * 任务结果反馈验证信息枚举
 */
public enum TaskResultValidationEnum {
    OK(""),
    NO_REQUEST_BODY("请求参数为空。"),
    LACK_REQUIRED_PARAM("缺少必须参数：任务号、载具号、任务状态。"),
    ERROR_TASK_GROUP("反馈的任务号错误，查询不到对应任务"),
    ERROR_TASK_STATUS("反馈的任务状态错误");

    private final String errorMessage;
    TaskResultValidationEnum(String errorMessage) {
        this.errorMessage = errorMessage;
    }
    public String getErrorMessage() {
        return errorMessage;
    }
}
